unit BrowserUnit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OleCtrls, EBrowser, ExtCtrls, StdCtrls, Buttons, ComCtrls, Menus;

type
  TFEmbeddedBrowser = class(TForm)
    Panel1: TPanel;
    ScrollBox1: TScrollBox;
    Browser: TEmbeddedBrowser;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    BtnStop: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    Panel2: TPanel;
    Label1: TLabel;
    CbURL: TComboBox;
    SpeedButton3: TSpeedButton;
    Panel3: TPanel;
    Animate1: TAnimate;
    Btnhelp: TSpeedButton;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    openfile1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Bevel1: TBevel;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure BtnStopClick(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure CbURLKeyPress(Sender: TObject; var Key: Char);
    procedure BrowserStateChange(Sender: TObject; const Busy: Boolean);
    procedure FormShow(Sender: TObject);
    procedure BrowserDocumentChange(Sender: TObject; const DocName,
      DocURL: String);
    procedure BtnhelpClick(Sender: TObject);
    procedure openfile1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  FEmbeddedBrowser: TFEmbeddedBrowser;

implementation

{$R *.DFM}

procedure TFEmbeddedBrowser.SpeedButton1Click(Sender: TObject);
begin
     Browser.goback;
end;

procedure TFEmbeddedBrowser.SpeedButton2Click(Sender: TObject);
begin
     Browser.goForward;
end;

procedure TFEmbeddedBrowser.BtnStopClick(Sender: TObject);
begin
     Browser.stop;
end;

procedure TFEmbeddedBrowser.SpeedButton4Click(Sender: TObject);
begin
     Browser.refresh;     
end;

procedure TFEmbeddedBrowser.SpeedButton5Click(Sender: TObject);
begin
     browser.gohome;
end;

procedure TFEmbeddedBrowser.SpeedButton6Click(Sender: TObject);
begin
     browser.gosearch;
end;

procedure TFEmbeddedBrowser.SpeedButton3Click(Sender: TObject);
begin
     Browser.goURL(CbURL.text);
end;

procedure TFEmbeddedBrowser.CbURLKeyPress(Sender: TObject; var Key: Char);
begin
     if key = #13 then
     begin
          key := #0;
          Browser.goURL(CbURL.text);
     end;
end;

procedure TFEmbeddedBrowser.BrowserStateChange(Sender: TObject; const Busy: Boolean);
begin
     Animate1.active := Busy;
     BtnStop.enabled := Busy;
end;

procedure TFEmbeddedBrowser.FormShow(Sender: TObject);
begin
     animate1.filename := extractfilepath(application.exename)+'cool.avi';
end;

procedure TFEmbeddedBrowser.BrowserDocumentChange(Sender: TObject;
  const DocName, DocURL: String);
begin
     caption := DocName;
     cburl.text := DocURL;
     if cburl.items.indexof(DocURL) = -1 then cbURL.items.add(DocURL);
end;

procedure TFEmbeddedBrowser.BtnhelpClick(Sender: TObject);
var
   helpurl: string;
begin
     helpURL := extractfilepath(application.exename);
     if fileexists(helpurl+'help\EBrowser.html') then helpURL := helpURL+'help\EBrowser.html'
     else if fileexists(helpurl+'EBrowser.html') then helpURL := helpURL+'EBrowser.html';
     browser.gourl( helpurl );
end;

procedure TFEmbeddedBrowser.openfile1Click(Sender: TObject);
begin
     with TOpendialog.create(self) do
     try
        filter := 'HTML files|*.htm;*.html';
        if execute then Browser.gourl( filename );
     finally
        free;
     end;
end;

end.
